package com.ssj.dao.sys.poster.dao;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface PosterQueryDao {
	
	Page<Map<String, Object>> findActivityByPage(Map<String, Object> params, Pageable initPage);
	
	Page<Map<String, Object>> findJoinByPage(Map<String, Object> params, Pageable initPage);

    Page<Map<String, Object>> findActivityJoinByPage(Map<String, Object> params, Pageable initPage);

    /**
     * 下载准备海报数据
     * @param params
     * @return
     */
    List<Map<String, Object>> exportActivityList(Map<String, Object> params);
}
